BP Logo
Home » PLAYER'S HQ 1.13 » v1.13 Solutions,Tips & Spoilers » How to get: latest 1.13, 7609, feature-descriptions and more (Tired of searching? Here are the links and informations you need to start)
How to get: latest 1.13, 7609, feature-descriptions and more[message #361643] Sat, 24 October 2020 09:01 Go to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany


Links and information for getting started with JA2 v1.13


Download latest JA2 v1.13:

either at:

- Jenkins-Server by maeyanie -

Download 1.13-SCI: SCI JA2 v1.13

There you can find the latest version of 1.13, in form of a ready-to-use SCI (single-click-installer).
MapEditor and UB included? No.
Xml-Editor (outdated) included? Yes.
downward compatible to XP? No.
Archive available? Yes.
Name of exe: ja2.exe
update frequency: automated process - once per day, if changes detected

or at:

- Kittyland -

Download 1.13-SCI: SCI JA2 v1.13

There you can find the latest version of 1.13, in form of a ready-to-use SCI (single-click-installer).
MapEditor and UB included? Yes.
Xml-Editor (outdated) included? No.
downward compatible to XP? Yes.
Archive available? only interim storage
Name of exe: JA2_rXXXX.exe (XXXX = version number)
update frequency: aiming for once per month

or at:

- Jagged Alliance Center (polish forum) -

Download 1.13-SCI: SCI JA2 v1.13 (english version)

There you can find the latest version of 1.13, in form of a ready-to-use SCI (single-click-installer).
MapEditor and UB included? Yes.
Xml-Editor (outdated) included? Yes.
downward compatible to XP? Yes.
Archive available? No.
Name of exe: JA2.exe
update frequency: every now and then

----
How to decide on a download-source?

First of all, each is working fine.
The Jenkins-Server is usually the most up-to-date (since automated). It isn't working for older OS (like XP, etc.). The MapEditor and UB ain't included.
With Kittyland you sometimes have to wait a few days until I catch up to latest version (not automated). It's working with older OS (like XP), as well as up to Win10. The MapEditor and UB are included.
The Jagged Alliance Center isn't updating very often and the page is in polish (use a web-translator for url, if needed). I nevertheless linked it, to offer a third opportunity as backup and because it's the only other place I know providing SCI. Last I checked, it was also downward-compatible to XP and contained UB and MapEditor (side note: this forum has a very well sorted mod-section, worth a look).

If you run a modern OS and MapEditor and UB are of no interest to you, the Jenkins is the place for you.
If you run XP (or another older OS) and/or the MapEditor and UB are of interest for you, Kittyland (my mediafire) is the place to go.
If those two ain't working for you, try Jagged Alliance Center.

----

(scroll down to "XP-compability" for more on this)

(other terms used for "latest version": development build, unstable, beta, trunk, etc.) (see Glossary below for some explaination)

----

How to use SCI JA2 v1.13:

step 01: Install your original JA2 (from CD, Steam, GOG or elsewhere)

- since Windows-Vista some folders are "protected", so don't use Program Files, Program Files (x86), etc.
- save bet would be not to use C:\\ at all
- you can have multiple instances of JA2, so you may wanna make a copy of original install as template for later use

step 02: download latest SCI from link above

step 03: extract the downloaded file from step 02 (it's a zip-archive) over your JA2 installation (from step 01), allow overwriting of existing files

step 04: use the JA2.exe to start the game (see *)

- start game by either left-click on .exe
- or use the Ini-Editor (it's in same directory as the JA2.exe) (see below for more on Ini-Editor)

[*] - Some download-sources may use different naming for their exe ("JA2_version-number.exe"). See description above (at download-links), if that'ts the case.
- and look for instructions at download-place (e.g.: Is there a readme? Read it.)

[NOTE] - If you are using Win8-Win10 you may run into performance problems. If so, check folder "Docs" (at same directory as JA2.exe) for compatibility-fixes.
- In "Docs" you can also find useful links, manuals and more. Might be worth a look.

- If the compability-fixes in "Docs" won't work for you, take a look at the Win10Fix provided by Someone64 Win10Fix
- I tend to agree with old Briest, this might be too big a subject. Better ask at Bear's Pit Discord if anything fails.

Summary: Instal original JA2, download SCI, extract SCI over JA2, (use compatibility-fixes), start game

[NOTE] - the official source for 1.13 is the SVN, all SCI JA2 v1.13 here are based on this


Download 7609

What's 7609?

Think of it as a version number of 1.13 (JA2v1.13)

What's so special about this version?

In short, it's a version that is used as base for many 1.13-mods. Typically you'll install your original JA2, put the 7609-version of 1.13 over it and next the mod-files on top of those two. If you're interested in mods for 1.13, scroll down a little further to see more descriptions and links for those. It also works as standalone version.

It's from 2014, will it still work?

Yes, it's still working, no worries.

What's the difference to latest versions of 1.13?

It's missing some of the latest features, some quality-of-live changes and latest bugfixes. Most of the favourite features are already included.

Why would I want to use it?

- Since many mods for 1.13 use it as base, it's required for those mods.
- If you're a new player or comming back after years, the latest versions might can be a little overwhelming. Therefore the 7609-version is a good way to get used to 1.13, it has a lot to offer and is still easier to get started.
- If you're an advanced and/or curious player, there is a special version of the 7609-exe available. It's called 7609+AI (by author seven) and can be used to replace the standard 7609-exe. To use this improved exe, you'll need the 7609-version. For more info on 7609+AI scroll down a little more.

It seems to be a pain to proper instal it, any solution for this?

Either use the step-by-step install-instructions (following next) or scroll down to 7609-SCI where you can find a more easy to install version (download, unpack, copy over original JA2)

Downloadlink for 7609:

Link to part of Bear's Pit's download-repository where 7609 can be found. Sorted by language, which should match lamguage of your original JA2.
E.g., if you use german CD of JA2 choose german 7435/7609.
Technically, 7609 is an update to 7435. That's why you need to do the install in proper order (see Step-by-Step below).

https://storage.rcs-rds.ro/links/4729f8d6-f44b-42b7-aa3e-e0ddc6deead6?path=%2FJA_2%2Fv1.13_Releases%2FOfficial

----

(other terms used for 7609-version of 1.13: stable, official, etc.) (see Glossary below for some explanation)

----

How to instal 7609:

step 01: Install your original JA2 (from CD, Steam, GOG or elsewhere)

- since Windows-Vista some folders are "protected", so don't use Program Files, Program Files (x86), etc.
- save bet would be not to use C:\\ at all
- you can have multiple instances of JA2, so you may wanna make a copy of original install as template for later use

step 02: Follow link above. Choose language matching your JA2 install. Choose "v7435".

step 03: Inside v7435, choose "JA2_113_FullRelease_"Language"_7435.exe" and download it.

step 03 a: Also in v7435, open folder "Update" and choose "JA2_113_UpdateForRelease7435_"Language"_7609.exe" and download this also.

step 04: The two files you just downloaded are self-extracting-archives ("a zip that extracts itself, so to say"), so don't worry about them being "exe". Only those two files are needed.

step 04 a: First, extract the one with "7435" (run exe, choose path). Either choose path to JA2 install (step 01) or copy extracted files into JA2 install (step 01). Overwrite when asked.

step 04 b: Then, extract the one with "7609" and do the same. Either choose path to JA2 install (step 01) or copy extracted files into JA2 instal (step 01). Overwrite when asked.

step 05: Inside your JA2 install (step 01) there now should be a file "zPatch.bat". Click on this (zPatch.bat). A DOS-Window will pop up. Confirm with hitting any key when asked.

step 06: If you consider this an annoying way to install, you may wanna make a copy of the result as a future template (e.g. for use with 7609-mods).

[NOTE] Most mods are developed on a specific language (german, russian, english, etc.). Using, eg., an english mod on a german JA2, will in most cases result only in a language mix. If you still run into language based problems, you may wanna try to get an english JA2 from Steam or GOG (it's rather cheap). Since most mods are either english or an english translation is available for them, this might be worth it.

[NOTE] Don't forget to run the "zPatch.bat"

Get a 7609-SCI (Single-Click-Installer)

As seen above, the assembling of a working 7609-version requires some steps (7435 plus 7609-update plus run the zPatch.bat). It was puzzling me, why there was no already assembled 7609-version. And out of curiosity I looked into it and ended up assembling one (actually, three slightly different ones - see thread for more details).
In the thread I also try to explain what I've done to assemble those files. Might be useful, if you plan to do this yourself with another language version.

Thread: 7609 SCI (eng) (v1.13 7435-7609 installation already fully assembled)

Download: 7609 SCI (see thread for other versions and differences between them)

From Oct.2020 to Jun.2021 the 7609-SCI has seen over 500 downloads (which I consider much, being such a niche product) and since I haven't faced a shitstorm, I assume it's working fine.

It works with sevenfm's 7609+AI (see next topic), like any 7609. To make full use of +AI it's nevertheless recommended to use it with his modpack (see topic "Modpacks" further down). The modpack contains additional files and has tweaked settings to match the +AI.
The main purpose of this 7609-SCI is to save you the trouble of assembling it yourself. Can be used as standalone and as base for any mod that requires the 7609-version of JA2 v1.13.


Getting 7609+AI

An alternate version of 7609 by sevenfm. With huge imrovements on AI, bugfixes and new features. Can be used with any 7609-mod.

More information on this can be found here Experimental Project 7

For some 7609+AI-features, sevenfm also has provided videos. Look here Videos on 7609+AI Features (sevenfm)

For latest available download of 7609+AI, look at signature of author (sevenfm) (links underneath his posts, e.g. at Experimental Project 7).

Some of the additional (optional) features (like NWSS-NewWeaponSoundSystem, etc.) require additional files and folders. Those can either be downloaded seperatly (sevens google-drive) or you use his modpack, which already contains them. The modpack also comes with settings adjusted for use with +AI (see topic "Modpacks" below).

Getting latest JA2 v1.13 via SVN

An SVN used by Ja2-developers to contribute their work to a shared place. That's probably not for every user.
If you ain't no developer, it still can be used to get the very latest updates to source-code and matching GameDir.
If you, e.g., plan to compile an UB.exe or MapEditor.exe matching latest SCI, you still should consider using this. (see links to Guides below)
The SVN is the official source for latest 1.13.

Official 1.13 svn links:
------------------------
Source: https://ja2svn.mooo.com/source/ja2/trunk/GameSource/ja2_v1.13
Gamedir: https://ja2svn.mooo.com/source/ja2_v1.13_data/GameDir
Language specific: https://ja2svn.mooo.com/source/ja2/trunk/GameData/

A program to conveniently checkout from SVN Tortoise SVN. See Guides below for how to use.

If you wonder what's that all about and/or wanna give it a try, you can look here Instructions for using SVN (by Marlboro Man)
At Compiling Guide (by Haydent) incl. SVN (with Screenshots) you can look up how to compile and how to use SVN with Tortoise (step-by-step screenshots, no coding knowledge required)

Former download-place for Ja2-SCI

Depri's Builds and Packages - Get your combat supplies here!

At the moment, SCI at this place are no longer updated (on hold). Latest available version is 8796 (May 2020). If and when this status will change is beyond my knowledge.
Questions can still be asked in the thread, like usual. The onedrive is still accessable and serves as archive onedrive archive (up to 8796).

If any installation-guides for mods, or something simular, points you to "Depri's Builds and Packages - Get your combat supplies here!" as source for latest SCI, follow the link to this very post here, if you need or want a JA2 v1.13 SCI above 8796.
Since 8796 is already outdated, use one of the download-sources provided at top of this post for getting the latest, most up-to-date, version of JA2 v1.13. Alternatively, use SVN to keep up-to-date (see above).

Windows-10-Fix

Windows 10 can cause performance problems. In folder "Docs" of 1.13 there are some fixes.

A more recent Win10Fix (by Someone64) can be found here:

New JA2 1.13 Win 10 fix using DXWrapper (A new non-Wine based fix that's easy to install and works better)

It's a small zip-file, including a ReadMe. It's basicly just drag and drop, also enables alt-tab. Like always, if there is a ReadMe, read it. Thanks to Someone64 for providing this.

If none of those work, better ask at Bear's Pit Discord

XP compability

If you are using XP and the Game-exe in the downloaded SCI doesn't support XP ("no valid win32 apllication"), you can try the following:

- use the SCI from download-source "Kittyland"

- or: replace the exe in SCI with matching exe from sevens GoogleDrive. See link to Trunk in his signature. As far as I know, those are also XP-compatible. "Matching" is the keyword, an exe only should be used with the GameDir it was intented for (see Glossary for explaination of terms)

- or: use SVN to get latest GameDir and combine it with matching exe provided by sevenfm in his signature-link ("Trunk rNumber of Revision"). Look at his Trunk AI and improvements for sure to find posts of him.

Using the SVN is described above (see Guide if needed or this post below). Keyword here is "matching". An exe allways needs to match the GameDir. Most recent GameDir + most recent exe = most recent 1.13. If GameDir and exe ain't matching, the result can range from odd behaviour, not working features to game can't start.
The term "trunk" is refering to main-development branch of 1.13. There are other branches, like e.g. "official stable 2014" which is for 7609. (See "other terms used.." above and Glossary below).

- for versions until 8796 you can use the SCI provided at Depri's onedrive (see above). Those also contain matching UB and MapEditor.

- if you also need or want MapEditor and UB (working with XP) to be included, use the SCI from download-source "Kittyland" above. (I confess, my naming sense is odd).

MapEditor and UB

As you may have read above, depending on download-source, the SCI also contains UB and the MapEditor. So, what's that about?

UB (Unfinished Business):

Back in time, there was a sequel for JA2 named "Unfinished Business" (UB for short). Enrico Chivaldori once again reachs out to you and seeks help. Some forces in neighbouring Tracona dare to threaten Arulco with missiles, show 'em that they stepped on a bloodcats tail.

UB itself is a standalone game. It's a rather short story, but it intotruced a MapEditor and allowed to create own campaigns. That's one reason why there are a bunch of mods and campaigns available for UB (scroll down a little further to get to mods). It also had some new characters, some of them meanwhile made it to 1.13 (like Tex, Stogie, etc.).

Ok, standalone. So what's with UB.exe in 1.13? Simply put, UB got integrated in 1.13. There are two versions coming with 1.13, one called "UB vanilla", the other "UB-1.13". The "vanilla" attempts to allow to play standard UB, while the "UB-1.13" attempts to allow to play a hybrid version - standard UB-story and maps, but with 1.13 features.

Using those UB-versions with 7609-version of 1.13 is working fine, can be used without problems.

With latest 1.13-versions you may get some red warnings at start. Those inform you that UB can't use some values from 1.13-ini-files. But don't fret, it will use default values instead and start running. Don't hesitate to report those issues in the bug-section to draw attention to them.
It also can be the case that some of the very latest features for JA2 haven't been added to UB yet. This has various reasons, but in the past missing stuff was added as soon as somebody realized it.
Don't hesitate to report those issues in the bug-section to draw attention to them.

There is also an UB-section at the forum, dealing with anything UB-related: Jagged Alliance: Unfinished Business

To use the UB coming with 1.13, easiest way is to choose them within Ini-Editor. The vfs-config-file and the JA2_options.ini file must match ("vfs_config.UB1.13.ini" with "Data-UB\Addons\Data-UB-1.13\JA2_options.ini" // or: "vfs_config.UBVanilla.ini" with "Data-UB\Addons\Data-UB-Vanilla\JA2_options.ini") and the UB-exe must be chosen as "Start Executable-File" (see example Screenshot for a UB-1.13 below)


MapEditor:

The MapEditor can be used to change existing maps or create new maps. It should only be used with the 1.13-version it's shipped with (simplified example why: a while back, bandages where added. Those require an exe that knows how to deal with them and a GameDir where they are in required xml-files. The MapEditor.exe needs those as well, otherwise the item couldn't be placed with MapEditor and/or it won't work as intented). In folder "Docs" in 1.13 are some Guides for MapEditor. Adding a crate with money to starting sector is easy, but building new maps can be a tad more challenging. Feel free to ask for advice at forum and/or discord if you run into trouble.

The XML-Editor

In the past the xml-Editor was a convinient way to compare and change xml-files. Problem is, it's vastly outdated (no updates for more than a decade) and therefore can cause problems. You may can use it to view files, but if you use it with recent 1.13 versions and save files, the files in 1.13-GameDir will be corrupted.
That's the reason why some of the SCI above come without it. If you wanna change xml-files, you can use a text-editor like notepad++. Less convinient for mass-editing, but safer.
If you still wanna use it, use the SCI from downloadsource JenkinsServer.

---

Edit: added links and descriptions

[Updated on: Sat, 10 July 2021 02:56]

Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361644 is a reply to message #361643] Sat, 24 October 2020 09:05 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
The INI-Editor

A program used for editing the file "Ja2_Options.ini" - probably can be considered as somehow simular to "Game Settings" in other games. Located in same directory as JA2.exe.
The Ja2_Options.ini for 1.13 is located in folder Data-1.13. This ini-file can be opened with text-editors like notepad++ as well.
Using the Ini-Editor instead, can be convinient at least for basic settings, like which mod to run, choosing screen-resolution or turn off Intro-Video.

[NOTE] Some of the newer features miss a description at all in Ini-Editor and/or values (like TRUE/FALSE) can not be changed within the Ini-Editor. To see those descriptions and\or change the values you have to open the file JA2_options.ini with a Text-Editor (e.g. notepad++). For 1.13 the ini-File is in Folder Data-1.13 (if using a mod atop of 1.13, this can vary).

https://s1.imagebanana.com/file/201024/jsY3kTT0.jpg

01: a drop-down menu where you can choose the mod you wanna play (in picture, 1.13 is chosen)
02: as far as I know, this is no longer used. Choose in which CD-drive your ja2-CD is, if this for some reason still seems nescessary. I allways leave it at C.
03: might be nescessary for solving rare technical issues. If that's not the case, leave it as "false"
04: choose the exe you wanna use from drop-down. For standard 1.13 from SCI this will be "ja2.exe" (as in picture). If using a mod, which exe to use should be in description.
05: Turn the Intro-Video on/off. Advised is off (false, as in picture). Can lead to blackscreen after start if on (depending on windows-version, screen-resolution, etc.)
06: drop-down where you can choose Screen-Resolution used ingame. Some high resolutions can require additional steps. See "Technical Issues with JA2 1.13 - Problems and Solutions.txt" in folder "Docs".
07: drop-down to choose screen-resolution in MapEditor
08: if chosen "custom screen resolution" at 06, resolution can be defined here
09: set true, if you wanna use windowed mode. Depending on your machine and gpu, this may requires additional steps. See "Technical Issues with JA2 1.13 - Problems and Solutions.txt" in folder "Docs".
10: select the Ja2_Options.ini which is matching the mod you choose at 01 (in picture, the one for 1.13). If using a mod, check if there is a matching ini for it (details should be in mod-description).
START: click to start the game via Ini-Editor

[NOTE] - if you run into specific problems with screen-resolution, windowed-mode, etc. that ain't solved with document in Docs, you may wanna ask at Bear Pit's Discord Server
- some mods come with own ini, some without. If mod comes with own Ja2_Options.ini, it is advised to use this. It's ini may contain settings that are nescessary for this mod to work as planned/at all.

Drop-down menu

https://s2.imagebanana.com/file/201024/5HcO4ipz.jpg

In the drop-down menu of the Ini-Editor the chosen JA2_Options.ini can be edited. The sheer amount of options probably is overwhelming at first. But for getting started, you can go with the default settings.
If you still wanna edit, I'll advice to follow the Tip in picture. Copy the Ja2_Options.ini from Data-1.13 into Profiles\UserProfile_JA2113. At 10 (Select Ini File) choose the ini-file inside Profiles. This way you can experiment a little without changing default 1.13-ini. If choosing the ini-file in Profiles, the settings in this one will be used ingame.

If using a mod, this mod should also have it's own sub-folder in Profiles. If this mod comes with own ini (in Data-Mod), copy this ini to Profiles\UserProfile_Mod. Then, at 10, select ini-file from there for editing without messing default-mod-settings. Read mod-description, for some mods it's not advised to change certain settings. If so, this should be in description.

In case you're curios, why stuff in "Profiles" is used instead of "Data-Placeholder", you may wanna look at this VirtualFileSystem (vfs)

The Ja2_Options.ini comes with descriptions. Some will give you a clear idea on what's going on, others are vague and/or cryptic. Not much what I can do about the later. If you can't figure it out, ask at Discord or here at Forum. Trying to do a websearch may also lead you to a forum-entry that has allready answered the question.

As for the features that can be turned on/off in Ja2_Options.ini, most are off by default. If you don't know what they are about, look at the links for feature-descriptions first (see below).

As said, there are many options. You may wanna plan as much time for editing those, as you would for e.g., a Blockbuster like Skyrim or Fallout. If just getting started, you may wanna focus on obvious things. Leaving the more technical stuff until you are used to playing 1.13, probably would be a good idea. E.g., changing IMP-creation costs is rather obvious what it will do, changing BaseSightRange probably isn't as obvious.

Difficulty Settings

Located in Data-1.13\TableData is the file "DifficultySettings.xml". Can be opened with a text-editor like notepad++
This file could also be considered to be somehow simular to "Game Settings" in other games.
The file comes with descriptions for the entries inside. You could edit those entries, based on difficulty level.

If you're just getting started, it's rather ill adviced to change anything in this file, except:

The one thing, probably still attracting new players, is, that this is the place where the starting cash (for each difficulty-level) can be chosen.
Don't change stuff in "ui-index 0".
If you wanna change starting cash, choose dificulty level you later wanna play (novice, experienced, expert, insane) (ui-Index 1-4).
Right at the top of each difficulty level is "<StartingCash>". Change number to your liking, save xml.

Unless you know what you're doing, I wouldn't advice to change anything else for new players. Make a backup-copy of unchanged file, if you still wanna experiment with this.

[Updated on: Mon, 01 February 2021 18:01]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361645 is a reply to message #361644] Sat, 24 October 2020 09:06 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
1.13 Starter Documentation

The 1.13 Starter Documentation (by tais and Yunotchi) can be found here:

https://github.com/aimnas/1.13_starter_documentation

Quick overview and useful links for getting started. With tips on ini-settings, FAQ's and more. Recommended for reading.

If you find yourself thinking that this "How-to-get..."thread is too much to take in (a wall of text, too many links, etc.) and you wish for a shorter, more on point help, the Starter Documentation is probably the way to go. It also contains some information and tips you won't find here. Why not use both? And for all questions left, ask in Forum or check the Discord (see next topic).

Bear's Pit Discord

The Bear's Pit Forum is a great place with many benefits. It's a treasure trove of informations you won't find anywhere else, the place to get latest 1.13, report bugs, ask detailed questions, find all those gems of mods and much, much more.

But sometimes you just want a quick answer to a problem or chat with fellow JA2 players. If that's the case, you may wanna go to the Bear's Pit Discord

If you combine both, the forum and the discord, you could find out anything about JA2 you desire.

Feature Descriptions

In general, Bear's Pit Forum Bear's Pit Forum

A huge amount can be found at Flugente's Magika Workshop

Most of the latest additions can be looked up at Trunk AI and improvements

A Ja2-Wiki with descriptions on basic 1.13-features (some parts outdated, but still worth a look) Ja2 v1.13 Wiki (pbworks)

For some 1.13-features, Flugente also has provided videos. Take a look here Videos on 1.13 Features (flugente)

Mods for JA2, UB and JA2-1.13

The vast majority of mods available can be found at JA2/ UB /JA2 1.13 Mods Download & Install Guide

Like the name implies, complete with download-links and install-guides. Including screenshots, description, translations (if necessary and available) and links to threads.
Mods for original (vanilla) JA2, UB (campaigns and full mods) and for various 1.13 versions (some for old, many for 7609, some for more recent 1.13)
Here you'll find information and download-links for smash hits like UC (Urban Chaos), DL (Deidranna Lives!), AR (Arulco Revisited), AV (Arulco Vacations) and VR (Venegeance Reloaded),
as well as for classics like RR (Renegade Republic), JA2/1 Metavira or JA2UB-Shady Job. And many, many more, like the new DSM (DeidrannasSideMod) and a whole bunch of others.

Some mods don't show up in this list, but certainly are worth a look. Following a few popular examples.

AIMNAS

AIMNAS is an item/map mod. It uses Big Maps (real large maps), but is work-in-progress. Not all maps are finished, most quests don't work and there are rarely any items on maps. Still, to some degree it's playable. Many players enjoy the intensity of fighting on Smeagol's big maps. Meanwhile, there are several versions: Aimas (standard) (by smeagol), Aimas (tweaked) (by sun-alf) and a version for standard Ja2-maps Brainmod(-o) (tweaked) (by sun-alf). Make sure to read the instructions for each version closely. Best bet to get more information on Aimas is probably at Bear's Pit Discord Server, which even has it's own Aimas-Section.

Wildfire (maps) with latest JA2v1.13 (WF6.07 maps mod)

Wildfire itself is a game on it's own. However, it's possible to use the Wildfire maps on top of the latest JA2v1.13. This is working because Silversurfer updates the necessary WF-files to match the latest v1.13.
Wildfire maps in general provide more cover (more grass to hide, etc. - beware, that's true for both sides), Militia can only be trained in special sectors, the maps are detailed and fun to play. More information at: Forum Thread for Wildfire
There are also versions that combine WF-maps with the SDO-mod (see SDO below).

The WF-maps-version (WF6.07 maps mod) that works with latest JA2v1.13 is available on SVN (see Glossary for more). The most convenient way to download them requires a program like Tortoise SVN (freeware, open source)
Download and install Tortoise, create empty folder, right-click on new folder, choose "SVN Checkout".
A mask will pop up. At "URL of repository" add: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD
At "Checkout Directory" browse to the folder you just created. Click on "ok". The files will be downloaded. This initial Checkout is only required once.
Once that is finished, right click again on the folder. You'll see a new entry "SVN Update" (instead of "Checkout").
Use this to update to latest version available for WF-maps (e.g. whenever you update the base JA2v1.13, also update the WF-maps you want to use with this)


Follow those instruction to use WF6.07 maps on top of latest v1.13:

Instructions to install WF6.07 maps (from readme)

UC-1.13, DL-113, AFS-1.13

UC, DL and AFS are originally mods for JA2-vanilla, but wil473 made some 1.13-versions for them. Available information is not realy well sorted , but here is a thread about those three, including requirements and installation Urban Chaos-1.13 / Deidranna Lives!-1.13 / Arulco Folding Stock Releases and Version History One 1.13-version mentioned there (r7679_on_g2188) is no longer available (as far as I know), that leaves 7609 (see above). As you'll see in the thread, step 3 of requirements mentions original UC- and DL-installers. Those can be found at DL (JA2 vanilla) and UC (JA2 vanilla), AFS doesn't require this step.

For UC and AFS, there are also experimental versions available for a more recent 1.13 (by wil473). For AFS-1.13 this can be found here AFS-1.13 experimental, for UC-1.13 here UC-1.13 experimental .The experimental UC-1.13 still requires the above mentioned step 3 (the Data-UC thing, see thread for details).

[NOTE] - The official informations regarding the versions for more recent 1.13 (AFS-1.13 experimental and UC-1.13 experimental, see links directly above) refer to r8675/g2575 (May 2019) as base. This version contains a bug, where mercs stand up after comming under fire. In case you ran into this bug and find it annoying, you can try to use r8684/g2576 (August 2019) as base instead.

Already fully assembled SCI for AFS-1.13 and UC-1.13 can be found here: SCI AFS-1.13 and UC-1.13 (two versions, one based on 8675, the other based on 8684) or in "Unstable Modpack" by sevenfm (see link in next topic). Those only need to be unzipped over original JA2-installation. Choose mod (01*) and ini (10*) in Ini-Editor (* numbers see description Ini-Editor) and play.

AR (Arulco Revisited)

Great mod by JAsmin and Beka. Access to Bobby Ray's Online Shop is delayed, lot's of new maps. Foccus is on a "live-out-the-land"Style. The original came out before 7609, but Strohmann made an update for use with 7609. Info on original AR: Forum-Thread original AR Info on Strohmanns 2014 update to 7609: Arulco Revisited for Stable Release 2014
An already assembled SCI including: 7609 ((updated GameDir, see changelogs), Strohmanns 2014 AR-version for 7609, a patch by CVB for this and a new strategic map by Greeneyes can be found at: SCI 7609 + AR 1.4 Using this will only require your original JA2 as base-installation since 7609 is already included.
I'm currently working on an update for AR to recent 1.13-versions, I'll announce when ready.

SDO

Also not included in above list is SDO (Stock-Data-Overhaul). It adds items and weapons, but mostly focus on balance-overhaul. Including Scaling Map Loot, where what you find in sector is depending on the current progress rate of game. Comes also with two (optional) sub-mods, that's the maps of AR and WF adjusted for use with SDO. Read more about the details in thread 1.13 Stock Data Overhaul (SDO). Comes in different versions, the one for stable release 2014 can be found here SDO for stable release 2014 (link from thread).
To experience a SDO with more fixes, you could consider to try the Unofficial Modpack (SDO in 7609-modpack) by sevenfm (link from his signature). As well as the other mods in this pack, SDO will match with 7609+AI (see next topic).
If you wanna experience SDO with a recent version of 1.13, you should try the SDO-update to (starting with) 8955/2584 by Latzee SDO-Thread with Download-Link

7609+AI

- basically same entry as in initial post, but since it's a perfect match for 7609-mods placed also here, close to those mods -

An alternate version of 7609 by sevenfm. With huge improvements on AI, bugfixes and new features. Can be used with any 7609-mod.

More information on this can be found here Experimental Project 7

For some 7609+AI-features, sevenfm also has provided videos. Look here Videos on 7609+AI Features (sevenfm)

For latest available download of 7609+AI, look at signature of author (sevenfm) (links underneath his posts, e.g. at Experimental Project 7)).

Modpacks

If you struggle with mod-installations or simply prefer an all-in-one solution, you may want to try the modpacks provided by sevenfm.
He has assembled two modpacks. One for mods based on 7609, one for mods based on more recent 1.13 versions ("unstable" versions, see Glossary why this doesn't mean unstable in terms of bugs).
Those Modpacks are constantly refined and developed by sevenfm (one of the veteran-coders and contributors for 1.13), so it's save to assume that this is not only the easiest way to use mods, but also the less bug-prone.
The 7609-modpack also contains additional files and folders to make full use of (optional) 7609+AI-Features like NWSS (NewWeaponSoundSystem), etc. It also comes with settings tweaked and adjusted to match +AI better.

Available at his google-drive: Modpacks by sevenfm (link from his signature)

JA2 Archive

The sorted download archive for JA1, JA2, UB and WF by Scheinworld

can be found at JA2 Archive

Bear's Pit download archive, former hosted at kermi's ftp. Following the link above, you'll find sorted Quick-Links to the Archive.
Mods, maps, tools, resources, patches, goodies and more.

Bug Reports

Any bugs found should be posted here:

Bugs: Unofficial releases (SCI's), unstable and DEV builds

Read description on what information should be included in bug-report

Donations, Support and Merchandise

If you ever feel the urge to support the forum and 1.13-Team, rejoy, checkout this: Become a Patron

Support via Patron, Donate via Paypal or buy some Merch, like a 1.13-Redshirt or a sexy Bear's Pit apron and more.

Other JA2-forums

German Jagged Alliance Forum

(trip back in time, not much activity. but since information about older features, npc-scripts, etc. are rare, worth a look)

Russian A.I.M.

(home of the NO-mod/engine and mods based on this. if you ever search for information about JSD and other technical stuff, here you go)

Polish Jagged Alliance Center

(if you struggle with mod-installation, this is the place. This has many pre-assembled versions of mods (also in English) and a well-sorted download section for mods)

Linux and Mac OS X

I've no personal experience with this, but I'm told, that playing 1.13 on Linux can be done with Wine and on Mac OS X with Wineskin. For playing vanilla JA2 on Linux and Mac, apparently JA2 Stracciatella should be used.

Non-1.13 modding of JA2

JA2 Stracciatella The Straciatella-Team is using the vanilla JA2-code. They did a whole lot of cleanup to this code, a lot of bugfixes and some quality-of-life changes (Win10-compabilty, high resolutions, etc.). As I understand, they aim to provide a JA2-vanilla like experience with some non-intrusive changes. It's a multi-plattform approach, versions for Win32, Win64, Linux and Mac are available. Take a look at the link for more information.

NightOps (NO) A Russian modding platform. To say it's like 1.13 wouldn't do it just. As 1.13 it's both, a modding platform and a standalone mod. But it took a different approach to change code. It has many cool features, new graphics and is overall tougher. Sadly, the newest version 1.4 is only available in Russian. Some older maps are available to use with 1.13, take a look at mod-archive (next link below) or Seven's modpack. In the mod-archive you can also find mods that use older versions of NO (English) as a base.
If anybody is able to translate the installer for v1.4, give me a call. I wouldn't mind playin it in Russian, but I need to know what I'm choosing during installation.

JA2/ UB /JA2 1.13 Mods Download & Install Guide At this place you can also find mods of the pre-1.13 area. There are a bunch of mods that use either original JA2 or original UB as base. A couple of those use rather unique ideas and are really fun to play. Take a trip back in time.

Kinda Glossary (incomplete)

Based on the idea of being easy to understand, so bare with me if some descriptions lack technical accuracy.

r:

short for revision, think of it as version-number (referring to the actual exe-files)

GameDir:

short for Game Directory, the directory that contains all folders and files for JA2 (anything necessary beside the exe-files) (where you see folders Data, Data-113, etc.)

SCI:

short for Single-Click-Installer, referring to the fact, that in those the GameDir and exe are already combined. Simply copy the content over an already installed original JA2, overwrite when asked.

Jenkins-Server by maeyanie:

An environment that auto-generates JA2-SCI out of files provided from the SVN for JA2 (source and gameDir). As far as I understand, it's set up by a forum user (see Mae's Builds), but isn't officially the source for 1.13-SCI. That said, at the moment, it's one of the few available sources for recent SCI. Established 2014, up and running at current place since 2015.

SVN:

short for Subversion. In a repository on a server the source is stored. Developers working on local versions of the source can then commit changes to the source on server. This source will then be updated. Next developer can then checkout (download) changes made by update to local version. This will allow several people to work on the same project, while can easily be kept up to date.

SVN for JA2:

if you ain't no developer, SVN can still be useful. It can be used to get an up-to-date GameDir and source-code of JA2 when you don't want to wait for next SCI-version. That's probably not for every user, but if you wanna mod JA2, this can be useful. While the GameDir can be used as is, the source-code must get compiled with VisualStudio into an exe.
While the Jenkins-Server provides the JA2-exe, it doesn't contain UB.exe or MapEditor.exe. Those can be compiled with VisualStudio as well,no coding knowledge needed.
So, if you don't wanna wait, compile them yourself. Compling Guide (including step-by-step screenshots and Guide on SVN with Tortoise)

Tortoise:

A program to easy access SVN (freeware, open-source). It ads entries to context-menu of folders (right-click on folder) and once setup, updating SVN is just a click away. SVN and Tortoise also come with useful ChangeLog with search-function etc.

Visual Studio:

VisualStudio is a program you'll need to compile source-code to exe (build). Use the JA2-source from SVN to compile Ja2.exe, UB.exe and MapEditor.exe. It's by Microsoft, links to it therefore probably also vary based on the country you're in. Therefore no link, can be found per websearch. Won't cost money, but requires a registration at Microsoft (Microsoft-account). There might be open-source alternatives for this, but I'm not aware of any.

1.13-stable-unstable and other naming confusions:

Version 7609 of JA2v1.13 is often referred to as "stable" or "official". That doesn't mean that newer versions of 1.13 are less stable or official. After it was finished, 7609 was put aside and labeled as stable. It's just a step in development of 1.13, where it had been decided, that there should be a version where mods could be based on - and therefore working on it and further development stopped, to achieve a base-version modders could work with.
So it was set aside and development of 1.13 went on in "trunk"-version of 1.13. This development-versions are often also referred to as "unstable". Which doesn't mean they are unofficial 1.13 or unstable (bugged) versions. It just means, that those are under constant development, like a flowing river, and therefore aren't stable (not many can stand on flowing water). Still, this development contains tons of bug fixes, so there are less bugs in recent 1.13 then in standard 7609.

The official source for 1.13 is the SVN. The 1.13-SCI above are made out of the code of main trunk from there (compiled as build). The code is under constant development, that's why those are also referred to as "development build". As this is the official 1.13-version, it is supported by the 1.13-coders (bug fixes, etc.). That's an ongoing process.
The so-called "stable release" (7609 from 2014) is not supported by 1.13-coders anymore (also see above). The version 7609+AI is a project on it's own by sevenfm and is supported by it's creator.

Have fun

[Updated on: Wed, 23 June 2021 02:02]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361646 is a reply to message #361645] Sat, 24 October 2020 11:36 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
I have WinXP. You gave a new spot with SCI (will it be the latest versions?). Unfortunately, I have a message:
This site does not provide a secure connection
Jenkins.maeyanie.com is using an unsupported protocol.
ERR_SSL_VERSION_OR_CIPHER_MISMATCH
Can you give SCI elsewhere?



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361647 is a reply to message #361646] Sat, 24 October 2020 12:26 Go to previous messageGo to next message
silversurfer

 
Messages:2800
Registered:May 2009
You need to use a proper browser with TLSv1.2 support and up-to-date cipher suite. Providing outdated servers with outdated security algorithms is a NO GO. Please update your client software.



Wildfire Maps Mod 6.07 on SVN: https://ja2svn.mooo.com/source/ja2/branches/Wanne/JA2%201.13%20Wildfire%206.06%20-%20Maps%20MOD

Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361648 is a reply to message #361647] Sat, 24 October 2020 12:35 Go to previous messageGo to next message
LatZee

 
Messages:178
Registered:December 2015
Might wanna give Firefox a try if you haven't yet, as unlike Chrome and IE it uses its own inbuilt SSL cryptographic stuff instead of deafults that come with Win XP that are seriously outdated at this point, so it might be just a little bit more modern. Of course, even if it works in this case, in the long run, Win XP is an outdated and pretty much dead OS that is not going to get support for anything new, so it will be more and more problematic with time... at some point you'll have to move away if you want to keep using it for normal, everyday stuff like browsing the web.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361649 is a reply to message #361648] Sat, 24 October 2020 14:03 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
Maybe it could be placed in One Drive, Dropbox, Google Drive, Mega, for example.



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361650 is a reply to message #361649] Sat, 24 October 2020 17:26 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
They are right, this is most likely a browser cryptography issue. I understand WinXP limits your choices since support for it has stopped many years ago, but this will get more and more frequent, you should start thinking about getting a newer OS for Internet use (Linux is free, just saying...).

In the meantime, if you're stuck, the old repository for SCIs (Depri's, link on first post) is hosted on Onedrive and contains a not-too-old version (8796). You'll be missing several newer features though.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361652 is a reply to message #361647] Sat, 24 October 2020 17:38 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Randok wrote on Sat, 24 October 2020 11:36
I have WinXP. You gave a new spot with SCI (will it be the latest versions?). Unfortunately, I have a message:
This site does not provide a secure connection
Jenkins.maeyanie.com is using an unsupported protocol.
ERR_SSL_VERSION_OR_CIPHER_MISMATCH
Can you give SCI elsewhere?
silversurfer wrote on Sat, 24 October 2020 12:26
You need to use a proper browser with TLSv1.2 support and up-to-date cipher suite. Providing outdated servers with outdated security algorithms is a NO GO. Please update your client software.
I don't run the Jenkins Server. As far as I can tell, this is by user deathwyrm, as seen at Mae's Builds, dating back to 2014. I don't know, how to get in touch, latest visit here by deathwyrm was 2016.

Since Depri, where we former could get the SCI, isn't providing any more SCI since May 2020 (he stated that it is on indefinite hold), I came accross a lot of questions on where to get latest 1.13.
And, for SCI, the Jenkins Server at maeyanie is the only place I'm aware of. That's why I promote this link. And while at it, thought about putting together some useful links and informations for starters.

I tried the link I provided with browsers Edge, Opera, Chrome and Firefox on both, win7 and win10. I couldn't reproduce the error-message/warning. Might be somehow related to XP ?

Still, it sucks when it doesn't work for you. What you could try, is to use the SVN. Details on how are here Compiling Guide with How-to-use SVN (incl. step-by-step-screenshots) (picture below is from there) and here Instructions for using SVN. If you don't want to compile, you could try to use SVN just for getting latest GameDir and use matching Ja2.exe by sevenfm (link in his signature). If you need MapEditor or UB for recent versions, look at my signature.

All you need, is the program Tortoise (freeware, opensource) TortoiseSVN and the SVN-links (see posts above).

Download and install Tortoise, create empty folder, connect links, checkout (download), ready to update anytime. Only needs to be set up once.

https://s2.imagebanana.com/file/201005/YOx40fjC.jpg

As far as I know, the SVN is the official source for Ja2v1.13, so there shouldn't be any security warnings at your side.

[Updated on: Sat, 24 October 2020 17:43]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361653 is a reply to message #361652] Sat, 24 October 2020 18:03 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
It's a pity. Maybe someone will share the file elsewhere in the meantime.
I have a file from SVN. However, I wish I had an SCI (always had the most recent SCI).



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361656 is a reply to message #361653] Sun, 25 October 2020 07:02 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Randok wrote on Sat, 24 October 2020 18:03
It's a pity. Maybe someone will share the file elsewhere in the meantime.
I have a file from SVN. However, I wish I had an SCI (always had the most recent SCI).
A SCI contains: GameDir (from SVN), exe-files (compiled from Source-SVN) and changelogs (likely from SVN-logs).

So, expect for the changelogs, you're fine when you have the GameDir from SVN. Grab the Ja2.exe from sevenfm (link in his signature, underneath his posts) and put it inside this GameDir. In the rare case you need a MapEditor and UB, look at link in my signature and get them. Also put them in your SVN-GameDir. Check for hidden elements in folder view, delete the hidden folder ".svn". Now copy all files (content of GameDir + exe-files) over your original JA2-instal. That's it, give em hell.

If it still ain't working, try this selfmade SCI_JA2_v1.13_r8909_g2574 by me. It's on mediafire, so probably not the fastest download. I tried my best, but still, use at own risk. Complete package with MapEditor, UB and changelogs included. While posting this, it's the up-to-date version of 1.13.

In exchange, promise to hire Stella -she's the best happy


Edit: fixed link

Edit: un-linked the r8909 in this post (underlined above), 'cause it won't be in my archive much longer (due to available webspace). Instead of leaving a dead link, I rather replace it with something working SCI JA2 v1.13 That's my download-source from initial post in this thread with more recent versions then r8909.

[Updated on: Sun, 01 November 2020 05:47]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361660 is a reply to message #361656] Sun, 25 October 2020 12:37 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
Kitty wrote on Sun, 25 October 2020 06:02

A SCI contains: GameDir (from SVN), exe-files (compiled from Source-SVN) and changelogs (likely from SVN-logs).

So, expect for the changelogs, you're fine when you have the GameDir from SVN. Grab the Ja2.exe from sevenfm (link in his signature, underneath his posts) and put it inside this GameDir. In the rare case you need a MapEditor and UB, look at link in my signature and get them. Also put them in your SVN-GameDir. Check for hidden elements in folder view, delete the hidden folder ".svn". Now copy all files (content of GameDir + exe-files) over your original JA2-instal.
I know. I have JA2 + SVN 8909. Nevertheless I would like to have pure SCI (without SVN).

Quote:
That's it, give em hell.
I have been giving them for many years and in various mods. happy

Quote:
SCI_JA2_v1.13_r8909_g2574
This site cannot be reached
HTTP server DNS address not found.

Quote:
In exchange, promise to hire Stella -she's the best
Always the best IMP for me. Stella- Marksmanship 69, Agility 24 ... not much.

Thanks for your interest in my problem (SCI).





Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361661 is a reply to message #361660] Sun, 25 October 2020 18:40 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
The website is up and running. I have already downloaded the file but ... it is not a valid Win32 application.



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361662 is a reply to message #361661] Sun, 25 October 2020 18:56 Go to previous messageGo to next message
Seven.

 
Messages:2521
Registered:December 2012
Location: Russian Federation
Randok wrote on Sun, 25 October 2020 21:40
The website is up and running. I have already downloaded the file but ... it is not a valid Win32 application.
Looks like someone needs to switch compiler to xp compatible platform toolset.



7609+AI (r2157) | Experimental project | Modpack | Youtube | Trunk (r9143) | 1.13 Starter Docs | 1.13 How to get | Win10 fix | Discord


Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361663 is a reply to message #361661] Sun, 25 October 2020 20:59 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Randok wrote on Sun, 25 October 2020 18:40
The website is up and running. I have already downloaded the file but ... it is not a valid Win32 application.
Not sure, which site you're refering to.

This one

Quote:
SCI_JA2_v1.13_r8909_g2574 This site cannot be reached HTTP server DNS address not found.
(I fixed the link)


or the one with Jenkins-Server for SCI ?


Edit: If it's on me, I found something. Platform Toolset "Visual Studio 2017 Windows XP (v141xp)" was the only matching one. I give it a try, but I run VS 2019 and it's called "outdated" - not sure if this will matter.

Edit: Ok, compiled with this settings and could run it, but I'm using win7 and win10. Just the exe: JA2-8910-XP If you wanna give it a try.

Edit: fixed link

Edit: deactivated the link since the the exe I tried to build for XP doesn't seem to work, unfortunatly.

[Updated on: Wed, 28 October 2020 03:01]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361664 is a reply to message #361663] Mon, 26 October 2020 11:46 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
Sorry, the link JA2-8910-XP is not working. This site cannot be reached HTTP server DNS address not found.



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361669 is a reply to message #361664] Mon, 26 October 2020 18:47 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Fixed the link. Don't get your hopes too high, the Platform Toolset available for XP is for VS 2017 and I only run VS 2019. As far as I could find out, microsoft won't release any for 2019.



How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361671 is a reply to message #361669] Mon, 26 October 2020 23:35 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
Unfortunately Fatal Error.



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361685 is a reply to message #361671] Tue, 27 October 2020 11:37 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Yeah, Microsoft made sure that newer VS versions create XP-incompatible executables... Another one of the many problems you face when trying to compile stuff. speechless

I'm no programmer, so take it with a grain of salt, but AFAIK you need an old(er) version of VS. (Don't remember, but 2017 sounds right.)

[Updated on: Tue, 27 October 2020 11:39]

Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361689 is a reply to message #361671] Wed, 28 October 2020 02:24 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Randok wrote on Mon, 26 October 2020 23:35
Unfortunately Fatal Error.
Sorry to say, but then it doesn't seem to work. Probably due to the mismatch of version of VS and toolset - and a lack of skill on my side. Maybe somebody who is running VS 2017 comes across this soon and can help. Sure hope so.



How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361690 is a reply to message #361685] Wed, 28 October 2020 02:43 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Kurt wrote on Tue, 27 October 2020 11:37
Yeah, Microsoft made sure that newer VS versions create XP-incompatible executables... Another one of the many problems you face when trying to compile stuff. speechless

I'm no programmer, so take it with a grain of salt, but AFAIK you need an old(er) version of VS. (Don't remember, but 2017 sounds right.)

There is a mismatch between my version and the the toolset, but I'd rather say it's more on me and my lack of skill. I can perfectly follow the guide and produce builds that work on my win7 and win10, but I don't know how to solve the XP-problem. But it wasn't all in vain. I learned something about those toolsets, netframeworks, libaries and linkers. It sure still sucks that I couldn't help, but who knows when this new aquired knowledge might proves useful ...



How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361696 is a reply to message #361690] Wed, 28 October 2020 12:07 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Kitty wrote on Wed, 28 October 2020 01:43
I'd rather say it's more on me and my lack of skill.
Nah, I'm pretty sure it's the VS version, everything points to that, and I know from experience that it results in exactly that kind of problem: For something to work on XP it needs to be compiled on an older VS version (2017?), and the toolset obviously only works with the version it was made for.

I understand learning all this can be very interesting, if you have the time for it... happy



----- Edit:

I think I might have an VS 2017 installer, back from my Windows days, on some backup tape (I'm a packrat, as I've repeatedly stated...).
Can't check right now since I'm not at home (short vacation).

[Updated on: Wed, 28 October 2020 12:17]

Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361722 is a reply to message #361696] Sat, 31 October 2020 21:41 Go to previous messageGo to next message
Inveris

 
Messages:14
Registered:September 2020
I asked in the comment section of the third source of unstable SCI, about the exe file and they answered, that they used VS 2013 to compile it.

http://translate.google.com/translate?hl=en&sl=auto&tl=en&u=https%3A%2F%2Fjagged-alliance.pl%2Fplik589%2F

I was able to turn on my old laptop with Windows Xp on it and test it and unfortunately it did not work. Error was the same, this aplication is not valid to this system angry

I'm not a programmer, because I just started to learn this, but I think it will need a special patch to run it on Xp or it need to be compiled with really old Visual Studio.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361725 is a reply to message #361722] Sun, 01 November 2020 07:45 Go to previous messageGo to next message
Seven.

 
Messages:2521
Registered:December 2012
Location: Russian Federation
Inveris wrote on Sun, 01 November 2020 00:41
I'm not a programmer, because I just started to learn this, but I think it will need a special patch to run it on Xp or it need to be compiled with really old Visual Studio.
VS 2013 with v120_xp platform toolset is enough.



7609+AI (r2157) | Experimental project | Modpack | Youtube | Trunk (r9143) | 1.13 Starter Docs | 1.13 How to get | Win10 fix | Discord


Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361732 is a reply to message #361725] Mon, 02 November 2020 00:11 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
sevenfm wrote on Sun, 01 November 2020 07:45
VS 2013 with v120_xp platform toolset is enough.
Did a little research and found out that I could use VS 2013 side-by-side with my already installed VS 2019. Then followed sevenfm's advice from quote above and set platform toolset to v120_xp_platform_toolset. Compiled Ja2.exe, Ja2UB.exe and MapEditor.exe with this.

On my win7 and win10 this is running as usual. But since I've no XP installed, I can't test by myself if those compiles of mine are realy working on XP.

So, it'll be great if some of you XP-users, like


Randok wrote on Sun, 25 October 2020 18:40
... but ... it is not a valid Win32 application.
Kurt wrote on Wed, 28 October 2020 12:07
... For something to work on XP it needs to be compiled on an older VS version ...
Inveris wrote on Sat, 31 October 2020 21:41
... I was able to turn on my old laptop with Windows Xp on it and test it and unfortunately it did not work. Error was the same, this aplication is not valid to this system ...
could give it a try and gimme some feedback. Here's the SCI with exe for XP: XP_SCI_JA2_v1.13_r8915_g2579

Edit: defunct link to XP_SCI_JA2_v1.13_r8915_g2579. Since Randok confirmed it's working (see below), I'm gonna use this method from r8915_g2579 on to compile the SCI, see SCI JA2 v1.13 for recent SCI working with XP (download-source Kittyland, initial post).

[Updated on: Tue, 03 November 2020 02:32]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361733 is a reply to message #361732] Mon, 02 November 2020 12:08 Go to previous messageGo to next message
Randok

 
Messages:304
Registered:March 2004
XP_SCI_JA2_v1.13_r8915_g2579 works.
Thank you.



Many thanks to all those who make new features for Jagged Alliance 2.

New mod + new map (JA2 map with Drassen, Omerta, Cambria etc, edited or not-it has been repeatedly ) with large sectors + two additional levels + a lot of new tileset + moving vehicles = fun for months, years. Fun with creation, fun playing this mod.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361736 is a reply to message #361732] Mon, 02 November 2020 13:45 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Kitty wrote on Sun, 01 November 2020 23:11
Here's the SCI with exe for XP
Thanks a lot! thumbs up Cheer leader
I haven't tested it yet (no time to play right now), but I will put it to good use soon(ish).
(Then comes the long, tedious task of porting all the changes I've already made from 8796 to 8915. *sigh*)


Thanks for taking care of us old XPies... I only have XP VMs to play JA2, one can't buy Win7 licenses anymore, and Win10 is a no-no on many levels (the main being that using that resource hog to play a 1999 game is definitely overkill, close second is the requirement for constant internet access).
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361739 is a reply to message #361733] Tue, 03 November 2020 01:33 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Randok wrote on Mon, 02 November 2020 12:08
XP_SCI_JA2_v1.13_r8915_g2579 works.
Thank you.

Thanks for confirming, kinda relief. Gonna use VS 2013 further on for compiling JA2. As of r8915_g2579 all SCI at Kittyland (see initial post) hopefully work as to be expected and are compatible with XP.

That's only possible because of:

- your feedback that something ain't working

- Haydent's Guide on Compiling

- sevenfm's shared knowledge on how to solve this issue

Thanks.




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361740 is a reply to message #361736] Tue, 03 November 2020 01:48 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Kurt wrote on Mon, 02 November 2020 13:45
[... (Then comes the long, tedious task of porting all the changes I've already made from 8796 to 8915. *sigh*) ...
You probably already know, but just in case. Take a look at the GameDir-changelog to see if any files you've changed have seen any change from g2531(8796) to g2579(8915). If not, you should be able to just copy your stuff and overwrite.

[Updated on: Tue, 03 November 2020 02:28]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361746 is a reply to message #361740] Tue, 03 November 2020 16:27 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Kitty wrote on Tue, 03 November 2020 00:48
Take a look at the GameDir-changelog to see if any files you've changed have seen any change from g2531(8796) to g2579(8915).
Well, I took the slower but more secure way: I'm using Kompare (Linux program) to find the differences between the different vanilla 8796 and 8915 ini/xml files, and then depending on how much work is required, I either upgrade my old files or add my changes to the new ones. It's long and tedious but easy, the only bad surprise was the new "splint" item, which required me to move the first of my own items (and subsequently correct the dependencies). Unless I hit a snag I think I'll finish porting in 1-2 days, depending on how much free time I'll have.
(BTW, I'm flattered to see you guys did listen to my suggestions. happy)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361748 is a reply to message #361746] Tue, 03 November 2020 17:45 Go to previous messageGo to next message
LatZee

 
Messages:178
Registered:December 2015
Kurt wrote on Tue, 03 November 2020 15:27
Kitty wrote on Tue, 03 November 2020 00:48
Take a look at the GameDir-changelog to see if any files you've changed have seen any change from g2531(8796) to g2579(8915).
Well, I took the slower but more secure way: I'm using Kompare (Linux program) to find the differences between the different vanilla 8796 and 8915 ini/xml files, and then depending on how much work is required, I either upgrade my old files or add my changes to the new ones. It's long and tedious but easy, the only bad surprise was the new "splint" item, which required me to move the first of my own items (and subsequently correct the dependencies). Unless I hit a snag I think I'll finish porting in 1-2 days, depending on how much free time I'll have.
(BTW, I'm flattered to see you guys did listen to my suggestions. happy)
If you want to future proof your items, put a couple dozen NADA items after the existing ones, and start your own at the later ID, like at 1800 or something (like it was done in SDO, for example).
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361749 is a reply to message #361748] Tue, 03 November 2020 19:50 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
LatZee wrote on Tue, 03 November 2020 16:45
put a couple dozen NADA items after the existing ones
I thought about that, but first of all, the two dozen new items are just a minor part of my modifications: I edit a lot of the existing stuff to make it fit my vision of how things should be.
Second and that for, I'm not really planning on keeping up with the newest versions: As I mod the game, upgrading will become more and more tedious, especially when the newer version changes game aspects my own modifications relied upon.
After all I've stayed with 3356 for 10(ish) years... big grin

I came here in the first place to get myself the latest stable version I'll be using for the next few years, and, unless it features some big annoying bug, I guess Kitty's "XP r8915/g2579" will be it.
I would even had stayed with 8796, but I liked the idea of having a 1.13ized JA2-UB.
(And 8915/2579 has an XML Editor! Bliss, no more losing an hour because I forgot to edit some dependence...)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361752 is a reply to message #361749] Tue, 03 November 2020 21:31 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Kurt wrote on Tue, 03 November 2020 19:50

I came here in the first place to get myself the latest stable version I'll be using for the next few years, and, unless it features some big annoying bug, I guess Kitty's "XP r8915/g2579" will be it.
I would even had stayed with 8796, but I liked the idea of having a 1.13ized JA2-UB.
(And 8915/2579 has an XML Editor! Bliss, no more losing an hour because I forgot to edit some dependence...)

I defunct the link to "XP r8915/g2579" in the post above. Renamed it to "SCI_JA2_v1.13_r8915_g2579" and moved it to my standard SCI-downloads ("Kittyland", initial post), if you wonder where it's gone. Gonna use VS 2013 (with XP platform toolset, like sevenfm said) for any further SCI to come. This way, all SCI as of r8915_g2579 at this place should be XP-compatible.

As for UB-1.13, you still gonna get error-messages at start-up, indicating that some GameDir stuff is not up-to-date. It seems playable (tried until I met Biggens), so that may is nothing gamebreaking (some taunt-settings, etc - details should occur in error-log in UB-profiles-folder).

Careful with the xml-Editor. I think it's not up-to-date. Read some stuff about it messing up the files when saving stuff with it. Don't use it myself, but that's what I read - better be cautios when trying. That's probably the reason why Depri didn't include it in his SCI (8796). Gonna look into it and when it ain't working, I'm gonna leave it out as well in my future SCI.


[Updated on: Tue, 03 November 2020 21:32]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361755 is a reply to message #361749] Wed, 04 November 2020 02:57 Go to previous messageGo to next message
edmortimer

 
Messages:1496
Registered:January 2015
Location: Home Free
Quote:
I thought about that, but first of all, the two dozen new items are just a minor part of my modifications: I edit a lot of the existing stuff to make it fit my vision of how things should be.
If you haven't already, you might want to think about putting all your mods in your directory tree under VFS. That way your mod runs on top of whatever 1.13 you have installed, now or in the future (of course, future versions of 1.13 may necessitate more mods to your mod, but that's the way of things).

Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361763 is a reply to message #361752] Wed, 04 November 2020 16:36 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Kitty wrote on Tue, 03 November 2020 20:31
This way, all SCI as of r8915_g2579 at this place should be XP-compatible.
thumbs up

Kitty wrote on Tue, 03 November 2020 20:31
Careful with the xml-Editor. I think it's not up-to-date. Read some stuff about it messing up the files when saving stuff with it.
Thanks for the warning. I'll use it for browsing alone.

The XML Editor has a feature even the most sophisticated text editor lacks: It lets you sort items by categories, and thus compare them easily.
For instance "find the weapon with the longest range" is one hour of tedious comparing numbers in a text editor, and one single click in the XML editor (sort by range)... If I want to compare stats of all 7.62 rifles (excluding assault and sniper ones), it's two clicks, and so on.

I use it extensively to fix out some strange discrepancies between similar stuff added by different people with years in-between, and to make some modifications I deem necessary (like increasing deadliness of bigger calibers). It's not like hand-editing XML files is hard, but the XML Editor allows modders to work way more efficiently and most importantly, way faster...
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361764 is a reply to message #361755] Wed, 04 November 2020 16:45 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
edmortimer wrote on Wed, 04 November 2020 01:57
putting all your mods in your directory tree under VFS
Thanks, but who or what is "VFS"?...


edmortimer wrote on Wed, 04 November 2020 01:57
That way your mod runs on top of whatever 1.13 you have installed, now or in the future
If it's some kind of "override" feature, I don't think it would work for me, because I'm extensively editing most if not all game files. Using that over a newer version would be akin to using an old game directory with a newer executable, something which AFAIK will result in tears...
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361769 is a reply to message #361764] Thu, 05 November 2020 15:21 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Just a heads up guys - Please don't make file dates uniform, it makes comparing them (for porting mods) visually harder.
With the modification date intact it's very easy to see in a glance if a file has changed, without it you have to compare the contents (many files don't change size, since the total amount of information inside always remains the same).
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361796 is a reply to message #361769] Mon, 09 November 2020 14:43 Go to previous messageGo to next message
Kurt

 
Messages:428
Registered:March 2004
Another heads up: The XP-compatible r8915_g2579 is missing a bunch of STIs in /Tilecache.

I noticed it when I arrived in a swamp sector, and the game threw a hissy fit complaining it could not load Tilecache\Watersnake_Move.sti. Which was understandable given it was missing, much like a dozen other STIs; I just copied them over from my 8796 installation and everything worked fine.
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361798 is a reply to message #361796] Mon, 09 November 2020 16:22 Go to previous messageGo to next message
Kitty

 
Messages:321
Registered:October 2017
Location: Germany
Kurt wrote on Mon, 09 November 2020 14:43
Another heads up: The XP-compatible r8915_g2579 is missing a bunch of STIs in /Tilecache.

I noticed it when I arrived in a swamp sector, and the game threw a hissy fit complaining it could not load Tilecache\Watersnake_Move.sti. Which was understandable given it was missing, much like a dozen other STIs; I just copied them over from my 8796 installation and everything worked fine.

Can't confirm this on my side.

Data\Tilecache of the SCI contains all files it should
.


I just checked the files I used for this SCI and all of the 14 .sti that should be in Data\Tilecache of SCI are inside.

Then downloaded "SCI_JA2_v1.13_r8915_g2579.7z" myself and unzipped it. Checked Data\Tilecache of downloaded SCI and all of the 14 .sti are inside.

Compared files with Data\Tilecache of the GameDir from SVN and they are identical.

Downloaded SCI from the other download-sources as well. Checked, and they also contain those 14 files.

Which are:

bullet_tracer.sti
debris_smoke.sti
FLAM_EXP.sti
FLAMCHZE.sti
FLAMETH2.sti
flmthr2.sti
HELI_SH_EAST.sti
HELI_SH_SOUTH.sti
HELI_SH_WEST.sti
riotshield.sti
roofdestbrown1x1.sti
signal_gas.sti
SMALFLAM.sti
WATERSNAKE_MOVE.sti

Edit: Also compared with SCI 8796 by Depri, same result - contains the same 14 files as well.

All other files in Data\Tilecache should already be in your original JA2-installation (CD, Steam, GOG, whatever).


So, as far as I can say, if you are missing .sti-files in Data\Tilecache, it's not caused by any SCI.


[Updated on: Mon, 09 November 2020 20:12]




How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: How to get: latest 1.13, 7609, feature-descriptions and more[message #361805 is a reply to message #361798] Tue, 10 November 2020 17:24 Go to previous messageGo to previous message
Kurt

 
Messages:428
Registered:March 2004
Kitty wrote on Mon, 09 November 2020 15:22
Can't confirm this on my side..
You're right, I just uncompressed the file myself, and there they are. suprised suprised suprised
Sorry.

Yet, the game did throw a Runtime Error, crashed and complained that file was missing. I've never looked into /Tilecache before, so I checked, and while there were many files (.JSD files), there was definitely not the requested Watersnake_Move.sti. It's not a name to easily overlook.
I compared the /Tilecache of my old 8796 installation (which for some reason is also still full of .JSD files), and found it contained 14 additional files the 8915 one didn't contain, so I just copied everything missing over, and the game ran just fine since, water snakes and all.


Unless somebody maliciously deleted my .STI files (unlikely!), the only reasonable explanation is that the game does accidentally delete them under some specific conditions: When I looked into /Tilecache after the crash, it was full with over a hundred .JSD files, but now it only contains the 14 .STI files. Meaning there must be some automatic cleanup going on, and I would think that's a good suspect.
Previous Topic: New User Guide
Goto Forum:
  


Current Time: Fri Jul 23 19:27:38 EEST 2021

Total time taken to generate the page: 0.02556 seconds